# Меню управления учетными записями и заказами

## Описание

Этот проект представляет собой консольное приложение для управления учётными записями клиентов и их заказами. Программа предлагает пользователю несколько действий, таких как добавление, поиск и удаление учётных записей, а также создание, обновление и отмена заказов.

Приложение разделено на два основных меню:
- Меню управления учётными записями клиентов
- Меню управления заказами

## Основные функции

1. **Управление учётными записями:**
   - Добавление новой учётной записи (ввод имени, email и возраста)
   - Поиск учётной записи по email
   - Удаление учётной записи

2. **Управление заказами:**
   - Создание заказа (ввод ID заказа, учётной записи клиента, товара и цены)
   - Обновление статуса заказа
   - Отмена заказа

## Как использовать

### Запуск программы

Для запуска программы выполните следующую команду:

```bash
python -m online_store
```

### Основное меню

После запуска программы пользователю будет предложено основное меню с тремя опциями:

1. Управление учётными записями
2. Управление заказами
3. Выход

Чтобы выбрать действие, нужно ввести соответствующий номер опции.

### Меню управления учётными записями

В этом меню можно выполнить следующие действия:

- Добавить учётную запись: необходимо ввести email, имя и возраст клиента.
- Найти учётную запись: вводится email клиента, и программа выполнит поиск (функция поиска должна быть добавлена).
- Удалить учётную запись: вводится email клиента, после чего учётная запись будет удалена (функция удаления должна быть добавлена).
- Вернуться в основное меню.

### Меню управления заказами

В этом меню можно выполнить следующие действия:

- Создать заказ: вводится ID заказа, учётная запись клиента, товар и цена.
- Обновить заказ: вводится ID заказа и новый статус.
- Отменить заказ: вводится ID заказа, и он будет отменён.
- Вернуться в основное меню.

## Пример использования

```bash
Выберите действие:
1. Управление учётными записями
2. Управление заказами
3. Выход
Введите номер действия: 1

Управление учётными записями клиентов:
1. Добавить учётную запись
2. Найти учётную запись
3. Удалить учётную запись
4. Назад
Выберите действие: 1
Введите email клиента: example@mail.com
Введите имя: Иван
Введите возраст: 30
```

## Требования

- Python 3.8+
- Консоль для взаимодействия с приложением